Skip to content
BleemeoBleemeo

Create a forecast

POST
/v1/forecast/
curl --request POST \
--url https://example.com/v1/forecast/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "configuration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "failed_at": "2026-04-15T12:00:00Z", "predicted_critical_threshold": "2026-04-15T12:00:00Z", "predicted_shortage": "2026-04-15T12:00:00Z", "predicted_warning_threshold": "2026-04-15T12:00:00Z", "ran_at": "2026-04-15T12:00:00Z", "threshold_critical": 1, "threshold_shortage": 1, "threshold_warning": 1 }'

Create a new forecast.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
configuration
required
string format: uuid
failed_at
string format: date-time
nullable
id
required
string format: uuid
modified_at
required
string format: date-time
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
nullable
predicted_shortage
Predicted shortage datetime
string format: date-time
nullable
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
nullable
promql_query
required
string
ran_at
string format: date-time
nullable
threshold_critical
number format: double
nullable
threshold_shortage
number format: double
nullable
threshold_warning
number format: double
nullable
Examplegenerated
{
"configuration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"failed_at": "2026-04-15T12:00:00Z",
"predicted_critical_threshold": "2026-04-15T12:00:00Z",
"predicted_shortage": "2026-04-15T12:00:00Z",
"predicted_warning_threshold": "2026-04-15T12:00:00Z",
"ran_at": "2026-04-15T12:00:00Z",
"threshold_critical": 1,
"threshold_shortage": 1,
"threshold_warning": 1
}
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
configuration
required
string format: uuid
failed_at
string format: date-time
nullable
id
required
string format: uuid
modified_at
required
string format: date-time
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
nullable
predicted_shortage
Predicted shortage datetime
string format: date-time
nullable
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
nullable
promql_query
required
string
ran_at
string format: date-time
nullable
threshold_critical
number format: double
nullable
threshold_shortage
number format: double
nullable
threshold_warning
number format: double
nullable
Examplegenerated
{
"configuration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"failed_at": "2026-04-15T12:00:00Z",
"predicted_critical_threshold": "2026-04-15T12:00:00Z",
"predicted_shortage": "2026-04-15T12:00:00Z",
"predicted_warning_threshold": "2026-04-15T12:00:00Z",
"ran_at": "2026-04-15T12:00:00Z",
"threshold_critical": 1,
"threshold_shortage": 1,
"threshold_warning": 1
}